Subject: bug#14794: 24.3.50; `w32-register-hot-key' does not work on Windows 7 64-bit

From: Eli Zaretskii <[email-masked]>
Date: Fri, 12 Jul 2013 09:58:57 +0300

> Date: Thu, 11 Jul 2013 14:12:32 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > > > Does this work for you with other key combinations, btw?
> > > Dunno.  Can you tell me some key combinations to try?
> > 
> > How about PrintScreen or S-F10?
> 
> I can use S-f10 without any need for `w32-register-hot-key':
> 
> (global-set-key [S-f10] 'forward-char)
> 
> Doesn't that work for you too?

I didn't try.  You asked for ideas, I gave you some.

> And I don't know what the Emacs key for PrintScreen is.

I think [print], but I don't see that we produce it anywhere.

Maybe try the left/right Win+E key or the Apps key, after setting the
w32-*-modifier variables so as to produce an Emacs modifier from them.